Issue 114256 - DataPilot from external service saves wrong field information
DataPilot from external service saves wrong field information
Status: VERIFIED FIXED
Product: Calc
Classification: Application
Component: save-export
OOO330m6
All All
: P3 trivial (vote)
: ---
Assigned To: oc
issues@sc
:
Depends on:
Blocks: 111112
  Show dependency treegraph
 
Reported: 2010-09-01 13:38 UTC by niklas.nebel
Modified: 2013-08-07 15:14 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description niklas.nebel 2010-09-01 13:38:20 UTC
If an external DataPilotSource implementation doesn't allow an orientation for a
dimension, Calc stores the invalid field anyway, so there is wrong information
in the file and an invisible field that prevents drill-down. There's currently
no way for the external implementation to prevent this.

Example scenario: Use ExampleDataPilotSource from the developer's guide, select
"ones" and "value" as row fields, and "value" as data field. The resulting table
shows only "ones" as row field, and double-clicking on a "ones" entry doesn't
open the "Show Detail" dialog. If the file is saved, there's a
table:data-pilot-field with table:source-field-name="value" and
table:orientation="row".
Comment 1 niklas.nebel 2010-09-01 17:26:12 UTC
Fixed in CWS "calc59". If the DataPilotSource implementation forbids an
orientation via the dimension's "Flags" property, it can't be selected in the
layout or detail dialog.
Comment 2 niklas.nebel 2010-09-02 08:51:16 UTC
reassigning to QA for verification
Comment 3 oc 2010-09-03 14:51:53 UTC
verified in internal build cws_calc59